<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelNavMeshBuilder Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelNavMeshBuilder Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelNavMeshBuilder" --><!-- doxytag: inherits="iBase" -->
<p>Navigation mesh creator.  
 <a href="structiCelNavMeshBuilder.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celnavmesh_8h_source.html">tools/celnavmesh.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelNavMeshBuilder:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelNavMeshBuilder.png" usemap="#iCelNavMeshBuilder_map" alt=""/>
  <map id="iCelNavMeshBuilder_map" name="iCelNavMeshBuilder_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,128,24"/>
</map>
 </div></div>

<p><a href="structiCelNavMeshBuilder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshBuilder.html#a2d24d05047ffa9d337794243579e0f70">GetNavMeshParams</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an object representation of the navigation mesh parameters.  <a href="#a2d24d05047ffa9d337794243579e0f70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelNavMesh.html">iCelNavMesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshBuilder.html#ac0fef59d2f319f40b518cf40a107e6b2">LoadNavMesh</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *file)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a navigation mesh from a file.  <a href="#ac0fef59d2f319f40b518cf40a107e6b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshBuilder.html#ad89e0128a9a53ac79532f989c17349e0">SetNavMeshParams</a> (const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *parameters)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set navigation mesh parameters.  <a href="#ad89e0128a9a53ac79532f989c17349e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshBuilder.html#a33689960427ec82524362b5dd2725859">SetSector</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> as the current working sector and loads it's triangles.  <a href="#a33689960427ec82524362b5dd2725859"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshBuilder.html#ae947c69377b3ab4a715b76a0567c5d9c">THREADED_INTERFACE</a> (BuildNavMesh)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build a navigation mesh from the triangles in a Sector, using current configuration.  <a href="#ae947c69377b3ab4a715b76a0567c5d9c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Navigation mesh creator. </p>

<p>Definition at line <a class="el" href="celnavmesh_8h_source.html#l00266">266</a> of file <a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2d24d05047ffa9d337794243579e0f70"></a><!-- doxytag: member="iCelNavMeshBuilder::GetNavMeshParams" ref="a2d24d05047ffa9d337794243579e0f70" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a>* <a class="el" href="structiCelNavMeshBuilder.html#a2d24d05047ffa9d337794243579e0f70">iCelNavMeshBuilder::GetNavMeshParams</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an object representation of the navigation mesh parameters. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to navigation mesh parameters object. </dd></dl>

</div>
</div>
<a class="anchor" id="ac0fef59d2f319f40b518cf40a107e6b2"></a><!-- doxytag: member="iCelNavMeshBuilder::LoadNavMesh" ref="ac0fef59d2f319f40b518cf40a107e6b2" args="(iFile *file)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelNavMesh.html">iCelNavMesh</a>* <a class="el" href="structiCelNavMeshBuilder.html#ac0fef59d2f319f40b518cf40a107e6b2">iCelNavMeshBuilder::LoadNavMesh</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a navigation mesh from a file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">file</td><td>Pointer to file in the virtual filesystem. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the navigation mesh, or 0 if something went wrong. </dd></dl>

</div>
</div>
<a class="anchor" id="ad89e0128a9a53ac79532f989c17349e0"></a><!-- doxytag: member="iCelNavMeshBuilder::SetNavMeshParams" ref="ad89e0128a9a53ac79532f989c17349e0" args="(const iCelNavMeshParams *parameters)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshBuilder.html#ad89e0128a9a53ac79532f989c17349e0">iCelNavMeshBuilder::SetNavMeshParams</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set navigation mesh parameters. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Should be called before <a class="el" href="structiCelNavMeshBuilder.html#a33689960427ec82524362b5dd2725859" title="Set an iSector as the current working sector and loads it&#39;s triangles.">iCelNavMeshBuilder::SetSector()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a33689960427ec82524362b5dd2725859"></a><!-- doxytag: member="iCelNavMeshBuilder::SetSector" ref="a33689960427ec82524362b5dd2725859" args="(iSector *sector)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelNavMeshBuilder.html#a33689960427ec82524362b5dd2725859">iCelNavMeshBuilder::SetSector</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> as the current working sector and loads it's triangles. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sector</td><td>Pointer to the new <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True in case everything went right and false otherwise. </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Even in case of a false return, the old sector information is lost. You should call <a class="el" href="structiCelNavMeshBuilder.html#ad89e0128a9a53ac79532f989c17349e0" title="Set navigation mesh parameters.">iCelNavMeshBuilder::SetNavMeshParams()</a> before this method. </dd></dl>

</div>
</div>
<a class="anchor" id="ae947c69377b3ab4a715b76a0567c5d9c"></a><!-- doxytag: member="iCelNavMeshBuilder::THREADED_INTERFACE" ref="ae947c69377b3ab4a715b76a0567c5d9c" args="(BuildNavMesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structiCelNavMeshBuilder.html#ae947c69377b3ab4a715b76a0567c5d9c">iCelNavMeshBuilder::THREADED_INTERFACE</a> </td>
          <td>(</td>
          <td class="paramtype">BuildNavMesh&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build a navigation mesh from the triangles in a Sector, using current configuration. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the navigation mesh, or 0 if something went wrong. </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>A valid <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> must have been set using <a class="el" href="structiCelNavMeshBuilder.html#a33689960427ec82524362b5dd2725859" title="Set an iSector as the current working sector and loads it&#39;s triangles.">iCelNavMeshBuilder::SetSector()</a> before calling this method. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
